/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   FragTrap.hpp                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2024/11/29 15:40:32 by adjoly            #+#    #+#             */
/*   Updated: 2024/11/29 16:11:39 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#pragma once

#include "ClapTrap.hpp"

class	FragTrap : public ClapTrap {
	public :
		FragTrap(void);
		~FragTrap(void);
		FragTrap(std::string);
		FragTrap(const FragTrap &);

		FragTrap	&operator=(const FragTrap &);

		void	highFivesGuys(void);
		void	attack(const std::string &);
};

void		logFrag(std::string, std::string);
void		logFrag(std::string, std::string, std::string);
