/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   main.cpp                                           :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2024/11/20 14:25:07 by adjoly            #+#    #+#             */
/*   Updated: 2024/11/29 16:19:38 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "FragTrap.hpp"
#include <sstream>

std::string	iToS(unsigned int i) {
	std::stringstream ss;

	ss << i;
	return (ss.str());
}

int	main(void) {
	FragTrap	kanel("Kanel");
	FragTrap	suki("Suki");

	kanel.setAttackDamage(51);
	logFrag("🙀", kanel.getName(), "Oh my god Kanel uses his last teeth to attack " + suki.getName());
	kanel.attack(suki.getName());
	suki.takeDamage(kanel.getAttackDamage());
	kanel.highFivesGuys();

	return (0);
}
